summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-09-19 13:54:23 +0200
committerLars Wendler <polynomial-c@gentoo.org>2018-09-19 13:54:42 +0200
commit45f8f251049b73738a672567526b02123377beed (patch)
treefc19299ca9bd625f7e4d4a138c15f6d346756be1 /dev-vcs
parentmedia-libs/libsndfile: amd64 stable wrt bug #627152 (diff)
downloadgentoo-45f8f251049b73738a672567526b02123377beed.tar.gz
gentoo-45f8f251049b73738a672567526b02123377beed.tar.bz2
gentoo-45f8f251049b73738a672567526b02123377beed.zip
dev-vcs/tortoisehg: Bump to version 4.7.1
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Diffstat (limited to 'dev-vcs')
-rw-r--r--dev-vcs/tortoisehg/Manifest1
-rw-r--r--dev-vcs/tortoisehg/tortoisehg-4.7.1.ebuild79
2 files changed, 80 insertions, 0 deletions
diff --git a/dev-vcs/tortoisehg/Manifest b/dev-vcs/tortoisehg/Manifest
index 2efe8c0cc1b..8af2bc935e3 100644
--- a/dev-vcs/tortoisehg/Manifest
+++ b/dev-vcs/tortoisehg/Manifest
@@ -1,4 +1,5 @@
DIST tortoisehg-4.5.2.tar.gz 7935559 BLAKE2B c69107f28767936232937ee0b730b9b937dc1a475d142f0783b59b434072be1b2413f141e02985f3efe09a107782e64411323bd7c0a41be8802b1f23f54fdc77 SHA512 7be831203a33a9d7ea9e3caebb5a4d3f21ff0f07c508926b33b43db39ae11b3533c4274af78cdc2955fbea20f3e4ebe364004c9ad0a781ec7d49c19c2f5a1935
DIST tortoisehg-4.5.3.tar.gz 7929645 BLAKE2B 95b867f372d636ed84eda918a707e24f4b11e34679ae9ed1c25f82a7aa6bb77f424bd68a99b5f961d14960a2f33005536996de2f3df9871684bb53f68130b1b2 SHA512 0c6c512f7a46a084904a5e66912deb8ef4abb99a6a97c46b6b058537332f091395f4b9b8a4b645d7c42637abbb4e8abe16f5040fd694bb43ea8b4c6ddb1e18f6
DIST tortoisehg-4.6.1.tar.gz 7947844 BLAKE2B 68d0e8672febb9bfdca763e77cbaff8de79c2de79b61e0096c3ef7370cf9d9287a5fd65fbe3c262e13f185bcf5e384ece5d8365979bc05188e74ccfb49f43543 SHA512 adf5ebfc7a76843b62f66feddfde42c0f915c970a951e037f082ee4a6b393822b023f116dc650d5242838d006dc572235a4089c3805929727435588c24ded480
+DIST tortoisehg-4.7.1.tar.gz 7948085 BLAKE2B 7f92ef6fc68b7535905c0b4e172a00eb94ac720fc35175d47fedcf78783fa7c1430562af3ad2dbe43a894233acd5a8160c2a730b9281af1bbe4d3d1ed4513f3d SHA512 f163efb886001288156276ccec97e3759eeb699a2b24f5579bd47809a262881fb585f846157f35a72c35e5b5ef0a42ef899b20d21b7b75b6e92cfdf34e993418
DIST tortoisehg-4.7.tar.gz 7947751 BLAKE2B 8e50ec04e754aae65bf8fd9754ad78070d3fcabadb2af447f9af2c8ca954cf17c635ab4370aa501be24c1c6714c75bf1b5f0f8031f620ca3d4e3dc6098ccea10 SHA512 3c842741275dc08a7f9261fd9989575cb3036d23bb4e1c454ce98ffc721e913286d8f15d10490d108f18df1981295c42e4ada663660844de3ec6976cf77378a3
diff --git a/dev-vcs/tortoisehg/tortoisehg-4.7.1.ebuild b/dev-vcs/tortoisehg/tortoisehg-4.7.1.ebuild
new file mode 100644
index 00000000000..02d9c880998
--- /dev/null
+++ b/dev-vcs/tortoisehg/tortoisehg-4.7.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 )
+
+inherit desktop distutils-r1
+
+if [[ ${PV} != *9999* ]]; then
+ KEYWORDS="~amd64 ~x86"
+ SRC_URI="https://www.bitbucket.org/${PN}/targz/downloads/${P}.tar.gz"
+ HG_DEPEND=">=dev-vcs/mercurial-4.6 <dev-vcs/mercurial-4.8"
+else
+ inherit mercurial
+ EHG_REPO_URI="https://bitbucket.org/tortoisehg/thg"
+ EHG_REVISION="stable"
+ HG_DEPEND="dev-vcs/mercurial"
+fi
+
+DESCRIPTION="Set of graphical tools for Mercurial"
+HOMEPAGE="https://tortoisehg.bitbucket.io/"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND="${HG_DEPEND}
+ dev-python/iniparse[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/PyQt5[network,svg,${PYTHON_USEDEP}]
+ >=dev-python/qscintilla-python-2.9.4:=[qt5(+),${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ doc? ( >=dev-python/sphinx-1.0.3 )"
+
+# Workaround race condition in build_qt
+DISTUTILS_IN_SOURCE_BUILD=1
+
+python_prepare_all() {
+ if [[ ${L10N+set} ]]; then
+ cd i18n/tortoisehg || die
+ local x y keep
+ for x in *.po; do
+ keep=false
+ for y in ${L10N}; do
+ if [[ ${y} == ${x%.po}* ]]; then
+ keep=true
+ break
+ fi
+ done
+ ${keep} || rm "${x}" || die
+ done
+ cd "${S}" || die
+ fi
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C doc html
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ dodoc doc/ReadMe*.txt doc/TODO contrib/mergetools.rc
+ if use doc ; then
+ dohtml -r doc/build/html/
+ fi
+ newicon -s scalable icons/scalable/apps/thg.svg thg_logo.svg
+ domenu contrib/thg.desktop
+
+ # Remove file that collides with >=mercurial-4.0 (bug #599266).
+ rm "${ED%/}"/usr/$(get_libdir)/${EPYTHON}/site-packages/hgext3rd/__init__.py \
+ || die
+}
+
+pkg_postinst() {
+ elog "When startup of ${PN} fails with an API version mismatch error"
+ elog "between dev-python/sip and dev-python/PyQt5 please rebuild"
+ elog "dev-python/qscintilla-python."
+}